#ifndef __PARSER_H
#define __PARSER_H

#include <string>
#include <vector>


namespace GtpVisibilityPreprocessor {

class SceneGraphNode;
class Intersectable;


class Parser
{
public:
  Parser() {}

  virtual bool ParseFile(const std::string filename, 
						 SceneGraphNode **root, 
						 const bool loadPolygonsAsMeshes = false,
						 std::vector<Intersectable *> *parents = NULL) 
  {return false;};
	
};

}

#endif
